
public class Casilla {
	
	public boolean ocupado;
    public boolean comprobado; //No entiendo la funcion de comprobado
    public int numficha;
    public int numjugador;
    public int numcasilla; 
    
    public Casilla(int numcasilla)
    {
        ocupado = false;
        comprobado = false;
        numficha = -1;
        numjugador = -1;
        this.numcasilla = numcasilla;                            
    }

    public Casilla(int numficha, int numjugador, int numcasilla)
    {
        ocupado = true;
        comprobado = false;
        this.numficha = numficha;
        this.numjugador = numjugador;
        this.numcasilla = numcasilla;                               
    }   
    
    public void colocarFichaEnCandidata(int numficha, int numjugador)
    {
        this.numficha = numficha;
        this.numjugador = numjugador;
        ocupado = true;
    }
    
    public void quitarFichaEnSeleccionada()
    {
        ocupado = false;
        numficha = -1;
        numjugador = -1;
    }
    
    public void modificarFichaCasilla(int numficha)
    {
    	this.numficha = numficha;
    }

    public void activarComprobado()
    {
        comprobado = true;
    }

    public void desactivarComprobado()
    {
        comprobado = false;
    }

    public boolean obtenerComprobacion()
    {
        return comprobado;
    }

}
